Bug 522056 - wrong match of fonts (non-)proportional
Summary: wrong match of fonts (non-)proportional
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 10:19 UTC by Marcela Mašláňová
Modified: 2009-09-23 10:49 UTC (History)
4 users (show)

Fixed In Version: 3.1.1-19.8.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 10:49:17 UTC
Type: ---


Attachments (Terms of Use)
test case (11.09 KB, application/octet-stream)
2009-09-15 07:53 UTC, David Tardon
no flags Details


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 64671 None None None Never

Description Marcela Mašláňová 2009-09-09 10:19:51 UTC
Wrong match of fonts:
fc-match "Courier 10 Pitch"
DejaVuSans.ttf: "DejaVu Sans" "Book"

The font which provides Courier is not proportional. This was fixed by installation of xorg-x11-fonts-Type1.noarch

Comment 1 Nicolas Mailhot 2009-09-09 10:51:18 UTC
"10 Pitch" is not a standard font style name, so you're not requesting the "Courier" font in 10 size but the "Courier 10 Pitch" font in any size, which is not a font name popular enough to be worth aliasin IMHO

Try fc-match "Courier" instead

Comment 2 Marcela Mašláňová 2009-09-11 08:04:05 UTC
I found this problem in ooimpress which match fonts incorrectly. It matches Courier from wrong (non-proportional) font package. I still believe this mapping should be fixed in this application.

Comment 3 David Tardon 2009-09-15 07:49:28 UTC
It's actually a bug in openoffice.org: not all font attributes are transferred through DrawingLayer, so font match will find wrong font later.

Comment 4 David Tardon 2009-09-15 07:53:00 UTC
Created attachment 361046 [details]
test case

The first line uses "Courier 10 Pitch", the second one "DejaVu Sans" and the third "DejaVu Sans Mono". If the font package specified in description is not installed, the font of the first line is (incorrectly) matched to "DejaVu Sans" instead of "DejaVu Sans Mono" as it should be.

Comment 5 David Tardon 2009-09-15 08:20:49 UTC
Fix checked in, will be in >= 3.1.1-19.8 .


Note You need to log in before you can comment on or make changes to this bug.